% Festlegung des Zeitintervalls
tAnfang        =  0;
tEnde          =  30;
tIntervall     =  [tAnfang, tEnde];

% Berechnung und Anzeige des Richtungsfeldes 
t   = linspace(tAnfang,tEnde,15);
y   = linspace(0,15,16);
[ti,yi]  = meshgrid(t,y);
dy       = logistischesWachstumRHS(ti,yi);
dt       = ones( size(ti) ); 
quiver(ti,yi,dt,dy,1);
axis([t(1)-1, t(end)+2, y(1)-1, y(end)+1]);

% Berechung von zwei Loesungen der DGL
y0      = 1;   % 1. Anfangswert
[t1,y1] = ode45(@logistischesWachstumRHS,tIntervall,y0);
y0      = 15;  % 2. Anfangswert
[t2,y2] = ode45(@logistischesWachstumRHS,tIntervall,y0);

% Anzeige der Loesungskurven
hold on;
plot(t1,y1,'--','LineWidth',2);
plot(t2,y2,'-' ,'LineWidth',2);
hold off

xlabel('t'); ylabel('y');
legend('Richtungsfeld','y_0 = 3','y_0 = 15');