%--------------------------------------------------------------------------
%   Mathematische Modellierung mit MATLAB, F. Hausser und Y. Luchko
%   Basketball Freiwurf, Abbildung 2.7:
%      Bestimmung des zulaessigen Gebietes unter Verwendung der Funktion
%      function  [theta0,v0Vorder,v0Center,v0Rueck] =
%               zulaessigesGebiet(thetaMin,thetaMax,hSpieler)
%
%     Author: Frank Hausser
%     Date:   8/2009
%--------------------------------------------------------------------------
clear all;
close all;

hSpieler = 2.13; % Dirk Nowitzky : 2.13
thetaMin = 35;
thetaMax = 60;

[theta0,v0Vorne,v0Zentrum,v0Hinten] = zulaessigesGebiet(thetaMin,thetaMax,hSpieler);

%-------------- Plot ------------------------------------------------------

set(0,'DefaultAxesLineStyleOrder',{'-',':','--'})
set(0,'DefaultAxesColorOrder',[0,0,0])

plot(v0Vorne,theta0,v0Zentrum,theta0,v0Hinten,theta0,'LineWidth',2);
axis([6.6 7.0 35 60]);
xlabel('Abwurfgeschwindigkeit v^0 [m/s]');
ylabel('Abwurfwinkel \theta^0 [\circ]');
legend('Vorne','Zentrum','Hinten');