%--------------------------------------------------------------------------   
%  Mathematische Modellierung mit MATLAB, F. Hausser und Y. Luchko
%  
%   Singulrwertzerlegung der 12*12 Hilbert-Matrix
%           Code-Beispiel, Listing 5.1
%     Author: Yury Luchko
%     Date:   3/2010
%
%--------------------------------------------------------------------------

clear all;
% 12*12 Hilbert-Matrix, ihre Determinante und Kondition
A = Hilb(12);
fprintf('Determinante = %2d',det(A));
fprintf('\n');
fprintf('Kondition = %2d',norm(A)*norm(inv(A)));
fprintf('\n');

% Singulrwertzerlegung und Rang von A
lambda= svd(A);
     for i=1:6
       fprintf(' %2d   %6.1e', lambda(i)); 
     end
     fprintf('\n');
      for i=7:12
       fprintf(' %2d   %6.1e', lambda(i)); 
      end
     fprintf('\n');
fprintf('Rang = %2d',rank(A));
fprintf('\n');
 