function M = assembleMassenMatrix(A,p,nDirichlet)
% p:  Positionen der Knoten in der Ebene
% A:    Adjazenzmatrix (quadratisch, symmetrisch
% nDirichlet: Anzahl Dirichletpunkte, sind immer am Ende von pos

[n,n] = size(A);
m     = n - nDirichlet;

massen = zeros(m,1);

% loop ueber alle Kanten 
for i=1:m         % bewegliche Knoten
    for j=i+1:n     % alle Knoten
        if(A(i,j) > 0)
            xij = p(2*i-1:2*i) - p(2*j-1:2*j);
            l   = norm(xij);
            massen(i) = massen(i) + l/2;
            if(j <= m)
              massen(j) = massen(j) + l/2;
            end
        end
    end
end 
Mdiag            = zeros(2*m,1);
Mdiag(1:2:2*m-1) = massen(:);
Mdiag(2:2:2*m)   = massen(:);
M                = diag(Mdiag);
