function plotVerschiebungMitRuhelage(A,p,u)
% Adjazenzmatrix A, Knotenvektor p (Ruhelage), Verschiebung u

xp = p(1:2:end);     % x-Koordinaten Ruhelage
yp = p(2:2:end);     % y-Koordinaten Ruhelage

M = length(xp);    % Anzahl der Knoten
N = length(u)/2;   % Anzahl der beweglichen Knoten

%------------------- plot Ruhelage  ---------------------------------------

for i=1:M
    for j = 1:(i-1)
        if A(i,j) ~= 0
            plot([xp(i) xp(j)], [yp(i) yp(j)], 'k--', 'linewidth', 1)
            hold on;
        end
    end
end


%-------- plot Verschiebung (Richtung an jedem Knoten) --------------------
for i=1:N
    quiver(xp(1:N), yp(1:N), u(1:2:end), u(2:2:end),'k-', ...
        'linewidth',2, 'AutoScale', 'off');
end
axis('equal')
axis([-0.1 3.1 -0.5 1.5]);
hold off
pause
disp('weiter mit <return>');


%----------- plot verschobener Zustand  -----------------------------------

hold on
xp(1:N) = xp(1:N) + u(1:2:end);
yp(1:N) = yp(1:N) + u(2:2:end);

for i = 1:M
    for j = 1:(i-1)
        if A(i,j) ~= 0
            plot([xp(i) xp(j)], [yp(i) yp(j)], 'k-', 'linewidth',2)
        end
    end
end
hold off
