%--------------------------------------------------------------------------   
%   Mathematische Modellierung mit MATLAB, F. Hausser und Y. Luchko
%   Fallstudie Google's PageRank, Listing 7.2:
%        Erzeugung einer Hyperlinkmatrix mit einem einfachen Webcrawler
%        von C. Moler:  www.mathworks.com/moler/ncm/surfer.m
%
%     Author: Witalij Wambold
%     Date:   3/2010
%--------------------------------------------------------------------------

root  = 'http://www.mathworks.com/';  % Start URL
n     = 10;                           % Anzahl Webseiten 

[U,L] = surfer(root,n);  % Aufruf des Webcrawlers
% L: transponierte Adjazenzmatrix: L(i,j) = 1 falls Seite i einen Link auf
%     Seite j hat, sonst L(i,j) = 0.
% U: Cell-array mit den URLs der Webseiten
  
H = L';
for i=1:n
   rowSum = sum(H(i,:));
   if( rowSum ~= 0 )
      H(i,:) = H(i,:) / rowSum; 
   end
end

figure(2)
spy(H)
